Bug 80727 - new ports: audio/adplay, audio/libadplug, devel/libbinio
Summary: new ports: audio/adplay, audio/libadplug, devel/libbinio
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-07 12:40 UTC by Emanuel Haupt
Modified: 2005-05-09 21:23 UTC (History)
0 users

See Also:


Attachments
file.shar (4.85 KB, text/plain)
2005-05-07 12:40 UTC, Emanuel Haupt
no flags Details
file.shar (2.25 KB, text/plain)
2005-05-07 12:40 UTC, Emanuel Haupt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt 2005-05-07 12:40:00 UTC
new ports: audio/adplay, audio/libadplug, devel/libbinio
           (audio/adplay depends on audio/libadplug and devel/libbinio)

A collection of AdLib sound samples can be aquired at:
http://critical.ch/adlib-collection-0.1.tar.gz

[audio/adplay]
Adplay is a command line AdLib player using the adplug library. It supports
many AdLib formats such as HSP and HSC.

[audio/libadplug]
AdPlug is a free, cross-platform, hardware independent AdLib sound player
library, mainly written in C++ and released under the LGPL. AdPlug plays
sound data, originally created for the AdLib (OPL2) audio board, directly
from its original format on top of an OPL2 emulator or by using the real
hardware. No OPL chip is required for playback.

[devel/libbinio]
The binary I/O stream class library presents a platform-independent way to
access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on arbitrary
binary data sources.

Fix: --- audio/adplay shar start ---
--- audio/adplay shar end   ---


--- audio/libadplug shar start ---
--- audio/libadplug shar end   ---


--- devel/libbinio shar start ---


--- devel/libbinio shar end   -----e4ykHqNHnFMHg8fCGlYKLcOXpZGWbHks4YCNEAaRy5qEltSG
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	adplay
#	adplay/files
#	adplay/files/patch-src-adplay.cc
#	adplay/Makefile
#	adplay/pkg-descr
#	adplay/distinfo
#
echo c - adplay
mkdir -p adplay > /dev/null 2>&1
echo c - adplay/files
mkdir -p adplay/files > /dev/null 2>&1
echo x - adplay/files/patch-src-adplay.cc
sed 's/^X//' >adplay/files/patch-src-adplay.cc << 'END-of-adplay/files/patch-src-adplay.cc'
X--- src/adplay.cc.orig	Fri May  6 19:23:17 2005
X+++ src/adplay.cc	Fri May  6 19:23:24 2005
X@@ -25,16 +25,15 @@
X #include <adplug/adplug.h>
X #include <adplug/emuopl.h>
X #include <adplug/kemuopl.h>
X+#include <getopt.h>
X 
X /*
X- * Apple (OS X) and Sun systems declare getopt in unistd.h, other systems
X- * (Linux) use getopt.h.
X- */
X #if defined ( __APPLE__ ) || ( defined (__SVR4) && defined (__sun) )
X #       include <unistd.h>
X #else
X #       include "getopt.h"
X #endif
X+*/
X 
X #include "defines.h"
X #include "output.h"
END-of-adplay/files/patch-src-adplay.cc
echo x - adplay/Makefile
sed 's/^X//' >adplay/Makefile << 'END-of-adplay/Makefile'
X# New ports collection makefile for:   adplay
X# Date created:		10 August 2004
X# Whom:			Emanuel Haupt <ehaupt@critical.ch>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	adplay
XPORTVERSION=	1.4
XCATEGORIES=	audio
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE_EXTENDED}
XMASTER_SITE_SUBDIR=	adplug
X
XMAINTAINER=	ehaupt@critical.ch
XCOMMENT=	AdLib player using adplug library
X
XLIB_DEPENDS=	adplug-1.5.0:${PORTSDIR}/audio/libadplug
X
XPLIST_FILES=	bin/adplay
X
XGNU_CONFIGURE=	yes
X
XCPPFLAGS+=	-I${LOCALBASE}/include
XLDFLAGS+=	-L${LOCALBASE}/lib
X
XCONFIGURE_ENV=	CFLAGS="${CFLAGS} ${CPPFLAGS}" \
X		CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" \
X		CPPFLAGS="${CPPFLAGS}" \
X		LDFLAGS="${LDFLAGS}"
X
XMAN1=		adplay.1
X
X.include <bsd.port.pre.mk>
X
Xpost-patch:
X.if ${OSVERSION} > 500000
X	${RM} ${WRKSRC}/src/getopt.h
X.endif
X
Xdo-install:
X	${INSTALL} ${WRKSRC}/src/adplay ${PREFIX}/bin
X	${INSTALL_MAN} ${WRKSRC}/doc/adplay.1 ${MANPREFIX}/man/man1
X
X.include <bsd.port.post.mk>
END-of-adplay/Makefile
echo x - adplay/pkg-descr
sed 's/^X//' >adplay/pkg-descr << 'END-of-adplay/pkg-descr'
XAdplay is a command line AdLib player using the adplug library. It supports
Xmany AdLib formats such as HSP and HSC.
X
XWWW: http://adplug.sourceforge.net/
X
X- ehaupt
Xehaupt@critical.ch
END-of-adplay/pkg-descr
echo x - adplay/distinfo
sed 's/^X//' >adplay/distinfo << 'END-of-adplay/distinfo'
XMD5 (adplay-1.4.tar.gz) = 1fbb6ccbc3f559cbec8768e2554a1d59
XSIZE (adplay-1.4.tar.gz) = 338761
END-of-adplay/distinfo
exit
Comment 1 Jean-Yves Lefort freebsd_committer 2005-05-09 19:43:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-05-09 21:23:47 UTC
State Changed
From-To: open->closed

Committed, thanks!